petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCApplySymmetricRight

Applies the right part of a symmetric preconditioner to a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCApplySymmetricRight(PC pc,Vec x,Vec y)

Collective on PC and Vec

### Input Parameters

| pc | - the preconditioner context
| x | - input vector

### Output Parameter

y -output vector

### Notes

Currently, this routine is implemented only for PCICC and PCJACOBI preconditioners.

### Keywords

PC, apply, symmetric, right

### See Also

PCApply(), PCApplySymmetricLeft()

### Level

developer

### Location

src/ksp/pc/interface/precon.c

### Implementations

PCApplySymmetricRight_BJacobi_Singleblock in src/ksp/pc/impls/bjacobi/bjacobi.c
PCApplySymmetricRight_Cholesky in src/ksp/pc/impls/factor/cholesky/cholesky.c
PCApplySymmetricRight_ICC in src/ksp/pc/impls/factor/icc/icc.c
PCApplySymmetricRight_ILU in src/ksp/pc/impls/factor/ilu/ilu.c
PCApplySymmetricRight_Shell in src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages